gsasl_md5(3)

NAME
gsasl_md5 - API function

SYNOPSIS
#include <gsasl.h>

int gsasl_md5(const char * in, size_t inlen, char * [] out);

ARGUMENTS

const char * in
    input character array of data to hash.

size_t inlen
    length of input character array of data to hash.

char * [] out
    newly allocated 16-byte character array with hash of data.

DESCRIPTION
Compute hash of data using MD5. The out buffer must be deallocated by the caller. Return value: Returns GSASL_OK iff successful.

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GNU SASL home page: http://www.gnu.org/software/gsasl/

COPYRIGHT
Copyright © 2002-2019 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gsasl/manual/